Bug 208898 - Review Request: bluez-gnome -- Bluetooth pairing and control applet
Review Request: bluez-gnome -- Bluetooth pairing and control applet
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 208904
  Show dependency treegraph
 
Reported: 2006-10-02 11:30 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 21:08:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-10-02 11:30:42 EDT
Spec URL: http://david.woodhou.se/bluez-gnome.spec
SRPM URL: http://david.woodhou.se/bluez/bluez-gnome-0.5-2.src.rpm
Description: The bluez-gnome package contains Bluetooth helper applets and tools for the GNOME desktop environment.


rpmlint output:
W: bluez-gnome unversioned-explicit-obsoletes bluez-pin
E: bluez-gnome obsolete-not-provided bluez-pin

These are intentional. It obsoletes all versions of bluez-pin and does not provide compatible functionality. The new bluez-utils requires bluez-gnome _instead_ of bluez-pin.

W: bluez-gnome non-conffile-in-etc /etc/xdg/autostart/bt-applet.desktop

I think this is correct. All the other files in /etc/xdg/autostart are non-config files too.
Comment 1 David Woodhouse 2006-10-02 11:43:32 EDT
Where should the bt-applet.desktop file go?

/etc/xdg/autostart seems to work for GNOME but not for KDE.
/usr/share/autostart seems to work for KDE but not for GNOME.
Comment 3 David Woodhouse 2006-10-02 15:32:21 EDT
So when KDE doesn't find it in /etc/xdg/autostart, it's buggy?
Comment 4 David Zeuthen 2006-10-10 21:25:12 EDT
It should go in /usr/share/gnome/autostart (just like the autostart files for
g-p-m, nm-applet and g-v-m) as I believe you _only_ want to start it
automatically when running a GNOME session. This is a GNOME specific directory
for things that should _only_ be started when starting a GNOME session.

If you want it to run for all XDG compliant desktops (which I don't think you
want to do as it's GNOME specific) look at the specifications mentioned in
comment 2.
Comment 5 David Woodhouse 2006-10-11 02:00:12 EDT
Despite the silly name, I do want it to start in all sessions. My understanding
of the referenced specification was that I should therefore put the .desktop
file in /etc/xdg/autostart. Which didn't work for KDE -- even, iirc, when I
omitted the 'OnlyShownIn: GNOME;' line :)

I'll retest.
Comment 6 David Zeuthen 2006-10-12 11:54:42 EDT
Then I'd use /etc/xdg/autostart and file a bug to get KDE fixed. 
Comment 7 Ray Strode [halfline] 2006-10-26 14:33:00 EDT
than,

do you know what the status of autostart compliance is in kde right now?
Comment 10 Matthias Clasen 2007-01-18 16:06:30 EST
I wonder if this should be closed, based on what I see on my rawhide system:

[mclasen@localhost ~]$ rpm -q bluez-gnome
bluez-gnome-0.6-1.fc7
Comment 11 Jason Tibbitts 2007-01-26 12:16:50 EST
So was this package formally approved?  Currently it's still blocking FC-NEW,
and there's no indication of approval in any of the comments.

Note You need to log in before you can comment on or make changes to this bug.